Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.27 veröffentlicht (22.06.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Error in warnings.php
#1
Moin moin,

habe gerade mal in mein error.log geschaut und den folgenden Fehler drin.

Code:
<error>
    <dateline>1587945575</dateline>
    <script>inc/datahandlers/warnings.php</script>
    <line>595</line>
    <type>2</type>
    <friendly_type>Warning</friendly_type>
    <message>"continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?</message>
</error>


In Zeile 595 steht
PHP-Code:
continue;
case 
2// Revoke posting
$current_expiry_field 'suspensiontime';
$current_inforce_field 'suspendposting';
break; 

Hat jemand eine Ahnung wo der error her kommt bzw. wie ich den weg bekomme.
Zitieren
#2
Eigentlich ist das seit 1.8.20 schon fixed.
Es sollte an der Stelle stehen:
PHP-Code:
continue 2;
case 
2// Revoke posting
$current_expiry_field 'suspensiontime';
$current_inforce_field 'suspendposting';
break; 

Ist Dir da bei den letzten Updates was durch die Lappen gegangen?
Zitieren
#3
Ich bin noch auf 1.8.19  Blush  irgendwie bisher keine lust oder Zeit gehabt werde mich sonst mal morgen dran setzen.

Danke für die Info
Zitieren